Python пакетінің орнатушы сұрақтары үшін пайдаланыңыз
35
жауаптар

Windows-ге пипсті қалай орнату керек?

pip easy_install алмастырушысы болып табылады. Бірақ Windows-де easy_install-ді қолданамын ба? Жақсы жол бар ма?
20 қаңтар '11 at 21:08
21
жауап

MacOS немесе OS X жүйесінде поршенді қалай орнату керек?

Кеше мен көп уақытымды пипті орнатуда нақты жауап іздеп жүрмін (Python үшін пакет менеджері). Мен жақсы шешім таба алмаймын. Оны қалай орнату керек?
24 маусымда сағат 11: 44-де орнатылады
51
жауап

Барлық пакеттерді пиппен жаңарту

Python барлық пакеттерін пирспен бір жолмен жаңарту мүмкін бе? Пожалуйста, назар аударыңыз, бұл мәселе бар ресми сұрау үшін трекер.
27-сәуірде белгіленген '12 сағат 12: 23-де
7
жауаптар

Пакет арқылы пакеттің белгілі нұсқаларын орнату

Мен MySQL_python адаптерінің 1.2.2 нұсқасын - «non-site-packages» опциясымен жасалған жаңа виртуалдандыру арқылы орнатуға тырысамын. PyPi-де көрсетілген ағымдағы нұсқасы - 1.2.3. Ескі нұсқасын орнату тәсілі бар ма? Мен мақаланы таптым, онда ...
08 наурызда сағат 11: 58-те белгіленді
9
жауаптар

Easy_install арқылы pip пайдалану керек пе?

Твиттерде былай делінеді: Егер сіз бетінде өзіңізді тырнақ ретінде пайдаланбасаңыз, easy_install қолданбаңыз. Құбырды қолданыңыз. Easy_install арқылы pip пайдалану керек пе? ПиПИ және пакет авторларына қатысты проблема көп емес пе? Егер автордың мұрағатталған файлдары жүктелсе ...
10 шілдеде сағат 21: 35-де белгіленген
41
жауап

Қате: vcvarsall.bat таба алмады

Мен Python dulwich пакетін орнатуға тырыстым: pip install dulwich Бірақ мен криптиялық қате туралы хабарды аламын: қате: vcvarsall.bat таба алмадым. Пакетті қолмен орнатуға тырыссам, солай болады:> python setup.py install ...
12 мамырда сағат 13: 24-де орнатылды
23
жауаптар

Жергілікті орнатылған Python модульдер тізімін қалай алуға болады?

Python қондырғыларындағы (UNIX сервері) Python модульдерінің тізімін алғым келеді. Компьютеріңізде орнатылған Python модульдер тізімін қалай алуға болады?
11-сәуірде белгіленген '09, 15:34
10
жауаптар

Жергілікті каталогтан requirements.txt файлына сәйкес пакеттерді пакеттерді қалай орнату керек?

Мәселе мынада: менің талаптарым бар. келесідей көрінеді: BeautifulSoup == 3.2.0 Django == 1.3 Жабын == 1.2.0 Jinja2 == 2.5.5 PyYAML == 3.09 Pygments == 1.4 SQLAlchemy == 0.7.1 Оңтүстік == 0.7.3 amqplib == 0.6. 1 anyjson == 0.3 ... Менің жергілікті мұрағат каталогым бар, ...
сұрады 29 тамыз. '6: 53-те
19
жауаптар

mysql-python environmentError-мен жұмыс істемейді: mysql_config табылмады

MySQL-python-1.2.3.tar.gz (70Kb) жүктеп алу / шығару mysql-python жүктеу / unpacking zjm1126 @ zjm1126-G41MT-S2: ~ / zjm_test / mysite $ pip install mysql-python 70Кб көшіріп алынды setup.py egg_info package m үшін ...
Наурыздың 3-і күні сағат 11: 32-те
11
жауаптар

Python бумасын .whl файлымен қалай орнату керек?

Windows жүйесінде Python пакетін (атап айтқанда, JPype1 0.5.7) орнатуда қиындықтар туындады және оны Crystaloph екілік Gohlke Window файлдарын пайдаланып орнатқыңыз келеді. (Бұл, менің тәжірибем, басқа көптеген басқа адамдар үшін шиеленісті азайтты ...
11 қаңтарда '15 сағат 11:48
10
жауаптар

Пакетпен қай пакеттің қай нұсқасын орнататынын біліңіз

Пиптті пайдалану, буманың қандай нұсқасы орнатылғанын анықтауға болады ма? Мен XYZ -upgrade-ны орнату туралы білемін, бірақ XYZ-тегі ақпарат сияқты нәрсе бар ма деп ойлаймын. Егер жоқ болса, қандай нұсқаны қолданамын деп айтудың ең жақсы тәсілі ...
18 сәуірде белгіленген '12 сағат 20:37
4
жауаптар

репо филиалынан пиптерді орнату

Белгілі бір салаға репо операцияларын жүргізуге тырысу. Google маған pip install go + https://github.com/user/repo.git@branch деп хабарлайды. Филиалдың атауы шығарылымы болып табылады / 34 / oscar-0.6, сондықтан мен орнату https://github.com/tangentlabs/django-oscar-paypal .git @ / issue / 34 ...
20 қараша '13 сағат 19:46
10
жауаптар

Пип және конда арасындағы айырмашылық қандай?

Мен python пакеттері үшін пакет менеджері екенін білемін. Алайда, IPython веб-торабындағы орнату IPython орнату үшін conda пайдаланды. IPython орнату үшін пиптті пайдалануға бола ма? Неліктен мен конденсатты ...
08 қаңтар '14 сағат 14:44
25
жауаптар

Python-та «pips» арқылы psycopg2-н қалай орнату керек?

Мен виртуалдандыруды қолданамын, мен «psycopg2» орнатуды жөн көремін. Мен келесі әрекеттерді жасадым: pip install http://pypi.python.org/packages/source/p/psycopg2/psycopg2-2.4.tar.gz#md5=24f4368e2cfdc1a2b03282ddda814160 Менде мына хабарлар бар: Жүктеу ...
24 наурызда сағат 17: 33-те
26
жауаптар

pg_config орындалатын файл табылмады

Psycopg2 орнатуда қиындықтар бар. Psycopg2 бағдарламасын орнату кезінде қате пайда болды: Error: pg_config executable табылған жоқ. Pg_config пәрменін PATH каталогына қосыңыз немесе орындалатын жолды көрсетіңіз.
23 шілдеде сағат 22: 22-де орнатылды